Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 706 - Wrong ldd: glibc ldd can't handle libc5 apps
Summary: Wrong ldd: glibc ldd can't handle libc5 apps
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-06 15:43 UTC by Alan Shutko
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 19:21:30 UTC


Attachments (Terms of Use)

Description Alan Shutko 1999-01-06 15:43:37 UTC
glibc and ld.so both contain ldd.  The ldd in glibc doesn't
treat libc5-linked applications correctly, but the ld.so ldd
does.  For example, on a (working) WP7 installation, glibc
ldd reports

        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x40006000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6
(0x4004e000)
        libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4
(0x400f3000)
        libm.so.5 => not found
        libc.so.5 => not found
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x40100000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6
(0x40109000)
        libc.so.6 => /lib/libc.so.6 (0x4011e000)
        /lib/ld-linux.so.1 => /lib/ld-linux.so.2
(0x00000000)

but ld.so ldd and strace both report that it is correctly
linking against the libc5 libraries.  This poses a
significant problem in diagnosing problems with libc5
applications like WordPerfect, as the tool people depend on
to see what libraries are being used is wrong.

Comment 1 Preston Brown 1999-03-22 19:21:59 UTC
the backwards compatibility hacks to get libc5 binaries running are
the not the cleanest things in the world, but they work.

Our glibc expert (Cristian Gafton) believes that the ldd that we are
shipping is much more reliable and advanced than the ldd you are
referring to in ld.so, which is why we use it.


Note You need to log in before you can comment on or make changes to this bug.